> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orderprotection.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product

> Retrieves a product



## OpenAPI

````yaml openapi-products GET /v2/products/{productId}
openapi: 3.0.0
info:
  title: Orders Service
  description: Orders service API
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.production.orderprotection.com
    description: Production server
security: []
tags:
  - name: orders
    description: ''
paths:
  /v2/products/{productId}:
    get:
      tags:
        - Products
      summary: Retrieve product children
      operationId: ProductApiController_findOne
      parameters:
        - name: productId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProductEntity'
        '401':
          description: Unauthorized.
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiExceptionResponse'
      security:
        - bearer: []
components:
  schemas:
    ProductEntity:
      type: object
      properties:
        productId:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true
        sku:
          type: string
          readOnly: true
        price:
          type: number
          readOnly: true
        tax:
          type: number
          readOnly: true
        productImage:
          type: string
          readOnly: true
      required:
        - productId
        - name
        - description
        - sku
        - price
        - tax
        - productImage
    ApiExceptionResponse:
      type: object
      properties:
        message:
          type: string
          readOnly: true
          example: order not found
        error:
          type: string
          readOnly: true
          example: Not Found
        statusCode:
          type: number
          readOnly: true
          example: 404
      required:
        - message
        - error
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````